%define kernelver %(uname -r)
# if your kernel isn't redhat's one, imply your kenrel source directory.
%define kerneldir /usr/src/linux-%{kernelver}

Name: wlan-ng
Version: 0.2.1
Release: b5
Summary: Wireless LAN Drivers for Linux
Group: System Environment/Kernel
Copyright: MPL
BuildRoot: %{_tmppath}/%{name}-root
###BuildRequires: kernel-source, glibc-kernheaders >= 2.4-2
BuildRequires: kernel-source
BuildPreReq: kernel-source
###Requires: kernel-pcmcia-cs
Requires: pcmcia-cs
Requires: kernel >= 2.4.3, chkconfig, kudzu >= 0.95, hotplug >= 2002_04_01-9
BuildArchitectures: i586

Source0: ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-%{version}.tar.bz2
Source1: wlan-ng.config.mk
Source2: wlan-ng.ifcfg-wlan0
Source3: wlan-ng.conf


%description
Wireless LAN Drivers for Linux kernel.


##
## Setup Section
##

%prep
%setup -n linux-wlan-ng-%{version} -q

###cp %{SOURCE1} ./config.mk

# copy the kernel source tree
##mkdir -p kernel-source%{kerneldir}
##cd kernel-source%{kerneldir}
##for d in %{kerneldir}/*; do
##  ln -s $d
##done
##ln -s configs/kernel-%(uname -r | cut -f 1 -d -)-%(rpm -q kernel --queryformat="%{arch}").config .config
###cp %{kerneldir}/.config .config
##cd -

# copy sample config.mk file
##cat %{SOURCE1} \
##  |  sed -e ##"s;{kerneldir};${RPM_BUILD_DIR}/linux-wlan-ng-%{version}/kernel-source%{kerneldir};gi" \
##	 -e "s;{kernelver};%{kernelver};gi" \
##  > config.mk

cat %{SOURCE1} \
  |  sed -e "s;{kerneldir};%{kerneldir};gi" \
	 -e "s;{kernelver};%{kernelver};gi" \
  > config.mk

# copy the pcmcia config file, adapting to redhat kernel.
cp %{SOURCE3} etc/pcmcia/wlan-ng.conf


##
## Build Section
##

%build
./Configure -d config.mk
make all


##
## Install Section
##

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make -e TARGET_ROOT_ON_HOST=$RPM_BUILD_ROOT \
     	TARGET_PCMCIA_DIR=$RPM_BUILD_ROOT/etc/pcmcia \
        TARGET_MODDIR=$RPM_BUILD_ROOT/lib/modules/%{kernelver} \
	TARGET_INST_EXEDIR=$RPM_BUILD_ROOT/sbin \
	INSTALL_DEPMOD= \
	install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -a etc/rc.wlan $RPM_BUILD_ROOT/etc/rc.d/init.d/wlan-ng
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network-scripts
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifcfg-wlan0


##
## Clean Section
##

%clean
rm -rf $RPM_BUILD_ROOT


##
## Post, Postun & Pre, Preun Section
##

%post
/sbin/depmod -a
chkconfig --add wlan-ng

%preun
chkconfig --del wlan-ng

%postun
/sbin/depmod -a


##
## Files Section
##

%files
%defattr(-,root,root)
%doc CHANGES COPYING FAQ LICENSE README THANKS TODO doc/
%dir /etc/wlan
/lib/modules/%{kernelver}/net/p80211.o
/lib/modules/%{kernelver}/pcmcia/prism2_cs.o
/usr/local/man/man1/*
/sbin/*
%config /etc/pcmcia/*
%config /etc/wlan/*
%config /etc/rc.d/init.d/wlan-ng
%config /etc/sysconfig/network-scripts/ifcfg-wlan0


##
## change log
##

%changelog
* Wed May 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 0.2.1-pre9
* Mon May 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 0.2.1-pre3
* Sat Mar 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://user.ecc.u-tokyo.ac.jp/~t10521/memo/
